# coding: utf-8

require 'chef/knife'

class Chef
  class Knife
    module RunListOptions
      def self.included(receiver)
        receiver.class_eval do
          option :roles,
                 :short => '-R ROLE1[,ROLE2]',
                 :long  => '--roles ROLE1[,ROLE2]',
                 :description => 'override run_list by roles'

          option :recipes,
                 :long => '--recipes RECIPE1[,RECIPE2]',
                 :description => 'override run_list by recipes'
        end
      end
    end
  end
end