# coding: utf-8

require 'chef/knife/hitori_base'

class Chef
  class Knife
    class HitoriHello < Knife
      include HitoriBase
      banner 'knife hitori hello (options)'

      option :name,
             :short => '-n name',
             :long => '--name name',
             :description => 'specify you name'

      def run
        puts 'Hello Knife::Hitori.'
        p @name_args
        p Chef::Config
        puts '-' * 50
        p config
      end
    end
  end
end

